// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/jit"
)

/******************************************************************************
 *
 * @Description              : PackOrder的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var PackOrder_PlantNr = grmi.NewField("PlantNr", "[JIT_PackOrder].PlantNr", "plantnr", grmi.TypeInt)
var PackOrder_PackOrderId = grmi.NewField("PackOrderId", "[JIT_PackOrder].PackOrderId", "packorderid", grmi.TypeString)
var PackOrder_PackTemplateId = grmi.NewField("PackTemplateId", "[JIT_PackOrder].PackTemplateId", "packtemplateid", grmi.TypeString)
var PackOrder_ProjectId = grmi.NewField("ProjectId", "[JIT_PackOrder].ProjectId", "projectid", grmi.TypeString)
var PackOrder_ShortPackToggle = grmi.NewField("ShortPackToggle", "[JIT_PackOrder].ShortPackToggle", "shortpacktoggle", grmi.TypeBool)
var PackOrder_ShortBy = grmi.NewField("ShortBy", "[JIT_PackOrder].ShortBy", "shortby", grmi.TypeString)
var PackOrder_ShortTime = grmi.NewField("ShortTime", "[JIT_PackOrder].ShortTime", "shorttime", grmi.TypeDateTime)
var PackOrder_OrderInfo = grmi.NewField("OrderInfo", "[JIT_PackOrder].OrderInfo", "orderinfo", grmi.TypeString)
var PackOrder_SyncSnrId = grmi.NewField("SyncSnrId", "[JIT_PackOrder].SyncSnrId", "syncsnrid", grmi.TypeString)
var PackOrder_BoxSnrId = grmi.NewField("BoxSnrId", "[JIT_PackOrder].BoxSnrId", "boxsnrid", grmi.TypeString)
var PackOrder_PackTypeId = grmi.NewField("PackTypeId", "[JIT_PackOrder].PackTypeId", "packtypeid", grmi.TypeString)
var PackOrder_PrinterId = grmi.NewField("PrinterId", "[JIT_PackOrder].PrinterId", "printerid", grmi.TypeString)
var PackOrder_TemplateFile = grmi.NewField("TemplateFile", "[JIT_PackOrder].TemplateFile", "templatefile", grmi.TypeString)
var PackOrder_PlanQty = grmi.NewField("PlanQty", "[JIT_PackOrder].PlanQty", "planqty", grmi.TypeInt)
var PackOrder_ActQty = grmi.NewField("ActQty", "[JIT_PackOrder].ActQty", "actqty", grmi.TypeInt)
var PackOrder_OpenTime = grmi.NewField("OpenTime", "[JIT_PackOrder].OpenTime", "opentime", grmi.TypeDateTime)
var PackOrder_CloseTime = grmi.NewField("CloseTime", "[JIT_PackOrder].CloseTime", "closetime", grmi.TypeDateTime)
var PackOrder_Operator = grmi.NewField("Operator", "[JIT_PackOrder].Operator", "operator", grmi.TypeString)
var PackOrder_CheckSyncKey = grmi.NewField("CheckSyncKey", "[JIT_PackOrder].CheckSyncKey", "checksynckey", grmi.TypeBool)
var PackOrder_PackLocation = grmi.NewField("PackLocation", "[JIT_PackOrder].PackLocation", "packlocation", grmi.TypeString)
var PackOrder_RFID = grmi.NewField("RFID", "[JIT_PackOrder].RFID", "rfid", grmi.TypeString)
var PackOrder_CtrlPara1 = grmi.NewField("CtrlPara1", "[JIT_PackOrder].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var PackOrder_CtrlPara2 = grmi.NewField("CtrlPara2", "[JIT_PackOrder].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var PackOrder_CtrlStr1 = grmi.NewField("CtrlStr1", "[JIT_PackOrder].CtrlStr1", "ctrlstr1", grmi.TypeString)
var PackOrder_CtrlStr2 = grmi.NewField("CtrlStr2", "[JIT_PackOrder].CtrlStr2", "ctrlstr2", grmi.TypeString)
var PackOrder_CtrlTime1 = grmi.NewField("CtrlTime1", "[JIT_PackOrder].CtrlTime1", "ctrltime1", grmi.TypeDateTime)
var PackOrder_CtrlTime2 = grmi.NewField("CtrlTime2", "[JIT_PackOrder].CtrlTime2", "ctrltime2", grmi.TypeDateTime)
var PackOrder_LastModify = grmi.NewField("LastModify", "[JIT_PackOrder].LastModify", "lastmodify", grmi.TypeDateTime)
var PackOrder_LastUser = grmi.NewField("LastUser", "[JIT_PackOrder].LastUser", "lastuser", grmi.TypeString)
var PackOrder_CreateTime = grmi.NewField("CreateTime", "[JIT_PackOrder].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PackOrder的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var PackOrder = grmi.NewEntity(
	"JIT_PackOrder",
	func() interface{} { return &model.PackOrder{} },
	map[string]grmi.Field{
		PackOrder_PlantNr.Name:         PackOrder_PlantNr,
		PackOrder_PackOrderId.Name:     PackOrder_PackOrderId,
		PackOrder_PackTemplateId.Name:  PackOrder_PackTemplateId,
		PackOrder_ProjectId.Name:       PackOrder_ProjectId,
		PackOrder_ShortPackToggle.Name: PackOrder_ShortPackToggle,
		PackOrder_ShortBy.Name:         PackOrder_ShortBy,
		PackOrder_ShortTime.Name:       PackOrder_ShortTime,
		PackOrder_OrderInfo.Name:       PackOrder_OrderInfo,
		PackOrder_SyncSnrId.Name:       PackOrder_SyncSnrId,
		PackOrder_BoxSnrId.Name:        PackOrder_BoxSnrId,
		PackOrder_PackTypeId.Name:      PackOrder_PackTypeId,
		PackOrder_PrinterId.Name:       PackOrder_PrinterId,
		PackOrder_TemplateFile.Name:    PackOrder_TemplateFile,
		PackOrder_PlanQty.Name:         PackOrder_PlanQty,
		PackOrder_ActQty.Name:          PackOrder_ActQty,
		PackOrder_OpenTime.Name:        PackOrder_OpenTime,
		PackOrder_CloseTime.Name:       PackOrder_CloseTime,
		PackOrder_Operator.Name:        PackOrder_Operator,
		PackOrder_CheckSyncKey.Name:    PackOrder_CheckSyncKey,
		PackOrder_PackLocation.Name:    PackOrder_PackLocation,
		PackOrder_RFID.Name:            PackOrder_RFID,
		PackOrder_CtrlPara1.Name:       PackOrder_CtrlPara1,
		PackOrder_CtrlPara2.Name:       PackOrder_CtrlPara2,
		PackOrder_CtrlStr1.Name:        PackOrder_CtrlStr1,
		PackOrder_CtrlStr2.Name:        PackOrder_CtrlStr2,
		PackOrder_CtrlTime1.Name:       PackOrder_CtrlTime1,
		PackOrder_CtrlTime2.Name:       PackOrder_CtrlTime2,
		PackOrder_LastModify.Name:      PackOrder_LastModify,
		PackOrder_LastUser.Name:        PackOrder_LastUser,
		PackOrder_CreateTime.Name:      PackOrder_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PackTemplateId", "ProjectId", "ShortPackToggle", "ShortBy", "ShortTime", "OrderInfo", "SyncSnrId", "BoxSnrId", "PackTypeId", "PrinterId", "TemplateFile", "PlanQty", "ActQty", "OpenTime", "CloseTime", "Operator", "CheckSyncKey", "PackLocation", "RFID", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "LastUser"})
